const fs = require('fs');
const GitUtil= require("./GitUtil")

let filePath = "./sydmark.txt"

// 提取命令行参数
const args = process.argv.slice(2); // 忽略前两个参数
if( args.length !== 0 ) {
    filePath = args[0]
}

// 确认文件是否存在
if ( ! fs.existsSync(filePath) ) {
    console.error("输入文件不存在 " + filePath)
    process.exit(-1)
}

// 读取文件内容
const txt = fs.readFileSync(filePath, "utf-8")

// 分析 git 和分支
const gits = GitUtil.findGits(txt)
// 获取 git 指定分支的随后一个 hash



// 分析 doc 文件路径, 以 Sunyard/ 开头





